GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
resolver_registry.h File Reference
`#include "src/core/client_config/resolver_factory.h"`

Go to the source code of this file.

## Functions
void | grpc_resolver_registry_init (const char *default_prefix)
void | grpc_resolver_registry_shutdown (void)
void | grpc_register_resolver_type (const char *scheme, grpc_resolver_factory *factory)
| Register a resolver type. More...
grpc_resolver * | grpc_resolver_create (const char *name, grpc_subchannel_factory *subchannel_factory)
| Create a resolver given name. More...

## Function Documentation

void grpc_register_resolver_type | ( | const char * | scheme,
|  | grpc_resolver_factory * | factory
| ) |  |

Register a resolver type.

URI's of scheme will be resolved with the given resolver. If priority is greater than zero, then the resolver will be eligible to resolve names that are passed in with no scheme. Higher priority resolvers will be tried before lower priority schemes.

grpc_resolver* grpc_resolver_create | ( | const char * | name,
|  | grpc_subchannel_factory * | subchannel_factory
| ) |  |

Create a resolver given name.

First tries to parse name as a URI. If this succeeds, tries to locate a registered resolver factory based on the URI scheme. If parsing or location fails, prefixes default_prefix from grpc_resolver_registry_init to name, and tries again (if default_prefix was not NULL). If a resolver factory was found, use it to instantiate a resolver and return it. If a resolver factory was not found, return NULL.

void grpc_resolver_registry_init | ( | const char * | default_prefix | ) |

void grpc_resolver_registry_shutdown | ( | void |  | ) |